NOTMUCH-COMPACT(1)

NAME
notmuch-compact - compact the notmuch database

SYNOPSIS

notmuch compact [--quiet] [--backup=<directory>]

DESCRIPTION

The compact command can be used to compact the notmuch database. This can both reduce the space required by the database and improve lookup performance.

The compacted database is built in a temporary directory and is later moved into the place of the origin database. The original uncompacted database is discarded, unless the --backup=<directory> option is used.

Note that the database write lock will be held during the compaction process (which may be quite long) to protect data integrity.

Supported options for compact include

    --backup=<directory>
        Save the current database to the given directory before replacing it with the compacted database. The backup directory must not exist and it must reside on the same mounted filesystem as the current database.

    --quiet
        Do not report database compaction progress to stdout.

SEE ALSO

notmuch, notmuch-count, notmuch-dump, notmuch-hooks, notmuch-insert, notmuch-new, notmuch-reply, notmuch-restore, notmuch-search, notmuch-search-terms, notmuch-show, notmuch-tag

AUTHOR
Carl Worth and many others

COPYRIGHT
2009-2025, Carl Worth and many others